name: linuxserver-nginx
services:
  app:
    cpu_shares: 90
    deploy:
      resources:
        limits:
          memory: 1866M
    environment:
      - PGID=1000
      - PUID=1000
      - TZ=America/Sao_Paulo
    image: linuxserver/nginx:1.24.0
    labels:
      icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/nginx-icon.png
    network_mode: bridge
    networks:
      ? default
    ports:
      - target: 80
        published: "800"
        protocol: tcp
      - target: 443
        published: "4430"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/nginx/config
        target: /config
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: for UserID
        - container: PGID
          description:
            en_us: for GroupID
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
    devices: []
    cap_add: []
    command: []
    privileged: false
    container_name: ""
networks:
  default:
    name: linuxserver-nginx_default
x-casaos:
  architectures:
    - amd64
    - arm
    - arm64
  author: WisdomSky
  category: LinuxServer.io
  description:
    en_us: "Visit homepage: https://hub.docker.com/r/linuxserver/nginx/"
  developer: LinuxServer.io
  hostname: ""
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/nginx-icon.png
  index: /
  main: app
  port_map: "800"
  scheme: http
  store_app_id: linuxserver-nginx
  tagline:
    en_us: A Simple Webserver With Php Support. The Config Files Reside In /config
      For Easy User Customization.
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/nginx-banner.png
  title:
    en_us: Nginx
